package com.ai.da.service;

import com.ai.da.mapper.primary.entity.Classification;
import com.ai.da.model.dto.ClassificationDTO;
import com.ai.da.model.vo.ClassificationVO;

import java.util.List;

/**
 * @author SHAHAIBO
 * @version 1.0
 * @project aida_back
 * @description 分类服务接口
 * @date 2023/11/3 10:00:00
 */
public interface ClassificationService {
    Boolean saveOrUpdate(ClassificationDTO classificationDTO);

    Boolean delete(ClassificationDTO classificationDTO);

    List<ClassificationVO> queryClassification(ClassificationDTO classificationDTO);

    List<ClassificationVO> getClassificationVOList(List<Classification> classificationList);

    Boolean relationLibrary(ClassificationDTO classificationDTO);

    List<Long> getLibraryIdListByClassificationId(Long classificationId);

    List<Long> getRelClassificationIdList(ClassificationDTO classificationDTO);

    List<Long> getRelPublicClassificationIdList(ClassificationDTO classificationDTO);

    Boolean editRelPublicClassificationIdList(ClassificationDTO classificationDTO);
}
